Altibase.jdbc.driver

## Class ClobWriter

- java.lang.Object
- - java.io.Writer
  - - Altibase.jdbc.driver.ClobWriter

All Implemented Interfaces:
  ConnectionSharable, java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable

    public class ClobWriter
    extends java.io.Writer
    implements ConnectionSharable

### Field Summary

### Fields inherited from class java.io.Writer

`lock`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `flush()`
`void` `freeLocator()`
`void` `initMode()`
`boolean` `isCopyMode()`
`boolean` `isSameConnectionWith(CmChannel aChannel)`
`void` `readyToCopy()`
`void` `releaseCopyMode()`
`void` `setCopyMode()`
`void` `setMode(byte aIsDirectAbled)`
`void` `write(char[] aSource, int aOffset, int aLength)`
`void` `write(java.io.Reader aSource, int aSourceLength)`

### Methods inherited from class java.io.Writer

`append, append, append, write, write, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in class `java.io.Writer`
Throws:
  `java.io.IOException`

#### freeLocator

    public void freeLocator()
                     throws java.sql.SQLException,
                            java.io.IOException

Throws:
  `java.sql.SQLException`
  `java.io.IOException`

#### flush

    public void flush()
               throws java.io.IOException

Specified by:
  `flush` in interface `java.io.Flushable`
Specified by:
  `flush` in class `java.io.Writer`
Throws:
  `java.io.IOException`

#### write

    public void write(char[] aSource,
                      int aOffset,
                      int aLength)
               throws java.io.IOException

Specified by:
  `write` in class `java.io.Writer`
Throws:
  `java.io.IOException`

#### write

    public void write(java.io.Reader aSource,
                      int aSourceLength)
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### setCopyMode

    public void setCopyMode()

Specified by:
  `setCopyMode` in interface `ConnectionSharable`

#### releaseCopyMode

    public void releaseCopyMode()

Specified by:
  `releaseCopyMode` in interface `ConnectionSharable`

#### initMode

    public void initMode()

Specified by:
  `initMode` in interface `ConnectionSharable`

#### setMode

    public void setMode(byte aIsDirectAbled)

#### isCopyMode

    public boolean isCopyMode()

Specified by:
  `isCopyMode` in interface `ConnectionSharable`

#### isSameConnectionWith

    public boolean isSameConnectionWith(CmChannel aChannel)

Specified by:
  `isSameConnectionWith` in interface `ConnectionSharable`

#### readyToCopy

    public void readyToCopy()
                     throws java.io.IOException

Specified by:
  `readyToCopy` in interface `ConnectionSharable`
Throws:
  `java.io.IOException`